by

Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Activity
  • Aug 06 23:43
    GitLab | Robert Dezmerean pushed 1 commits to model-editor
  • Aug 06 16:08
    GitLab | Robert Dezmerean pushed 1 commits to model-editor
  • Aug 06 15:45
    GitLab | Robert Dezmerean pushed 1 commits to model-editor
  • Aug 06 15:25
    GitLab | Robert Dezmerean pushed 1 commits to model-editor
  • Aug 06 15:06
    GitLab | Robert Dezmerean pushed 1 commits to model-editor
  • Aug 06 14:47
    GitLab | Robert Dezmerean pushed 1 commits to model-editor
  • Aug 06 14:13
    GitLab | Robert Dezmerean pushed 1 commits to model-editor
  • Aug 06 14:03
    GitLab | Robert Dezmerean pushed 1 commits to model-editor
  • Aug 06 12:58
    GitLab | Robert Dezmerean pushed 1 commits to model-editor
  • Aug 06 12:41
    GitLab | Robert Dezmerean pushed 1 commits to model-editor
  • Aug 06 12:33
    GitLab | Robert Dezmerean pushed 1 commits to model-editor
  • Aug 06 11:02
    GitLab | Robert Dezmerean pushed 1 commits to model-editor
  • Aug 06 10:23
    GitLab | Robert Dezmerean pushed 1 commits to model-editor
  • Aug 06 10:19
    GitLab | Robert Dezmerean pushed 1 commits to model-editor
  • Aug 06 09:18
    GitLab | Robert Dezmerean pushed 13 commits to model-editor
  • Aug 06 07:17
    GitLab | Robert Dezmerean pushed to model-editor
  • Aug 06 07:17
    GitLab | Reich Edvin pushed 2 commits to model-editor
  • Aug 05 19:13
    GitLab | Robert Dezmerean pushed 1 commits to model-editor
  • Aug 05 15:19
    GitLab | Robert Dezmerean pushed 1 commits to model-editor
  • Aug 05 15:14
    GitLab | Robert Dezmerean pushed 1 commits to model-editor
pusoktimea
@pusoktimea_gitlab
Hey everyone, we just published a video about using AltWalker and two other tools to run some tests for a game developed in Unity. You might find it interesting: https://www.youtube.com/watch?v=J6XIDX9cGgU&t=21s
Alp eren
@nereplabey_twitter
hi all
i need help for altwalker installition. i m getting an error when install the altwalker
$ pip3 install altwalker
Collecting altwalker
Using cached altwalker-0.2.7.tar.gz (58 kB)
ERROR: Command errored out with exit status 1:
command: 'c:\users\alperen.bekci\appdata\local\programs\python\python38\python.exe' -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'C:\Users\alperen.bekci\AppData\Local\Temp\pip-install-8ivs2x5x\altwalker\setup.py'"'"'; file='"'"'C:\Users\alperen.bekci\AppData\Local\Temp\pip-install-8ivs2x5x\altwalker\setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(file);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, file, '"'"'exec'"'"'))' egg_info --egg-base 'C:\Users\alperen.bekci\AppData\Local\Temp\pip-install-8ivs2x5x\altwalker\pip-egg-info'
cwd: C:\Users\alperen.bekci\AppData\Local\Temp\pip-install-8ivs2x5x\altwalker\
Complete output (136 lines):
Traceback (most recent call last):
File "c:\users\alperen.bekci\appdata\local\programs\python\python38\lib\site-packages\setuptools\msvc.py", line 489, in _find_latest_available_vc_ver
return self.find_available_vc_vers()[-1]
IndexError: list index out of range
During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\users\alperen.bekci\appdata\local\programs\python\python38\lib\distutils\core.py", line 148, in setup
    dist.run_commands()
  File "c:\users\alperen.bekci\appdata\local\programs\python\python38\lib\distutils\dist.py", line 966, in run_commands
    self.run_command(cmd)
  File "c:\users\alperen.bekci\appdata\local\programs\python\python38\lib\distutils\dist.py", line 985, in run_command
    cmd_obj.run()
  File "c:\users\alperen.bekci\appdata\local\programs\python\python38\lib\site-packages\setuptools\command\bdist_egg.py", line 172, in run
    cmd = self.call_command('install_lib', warn_dir=0)
  File "c:\users\alperen.bekci\appdata\local\programs\python\python38\lib\site-packages\setuptools\command\bdist_egg.py", line 158, in call_command
    self.run_command(cmdname)
  File "c:\users\alperen.bekci\appdata\local\programs\python\python38\lib\distutils\cmd.py", line 313, in run_command
    self.distribution.run_command(command)
  File "c:\users\alperen.bekci\appdata\local\programs\python\python38\lib\distutils\dist.py", line 985, in run_command
    cmd_obj.run()
  File "c:\users\alperen.bekci\appdata\local\programs\python\python38\lib\site-packages\setuptools\command\install_lib.py", line 11, in run
    self.build()
  File "c:\users\alperen.bekci\appdata\local\programs\python\python38\lib\distutils\command\install_lib.py", line 107, in build
    self.run_command('build_ext')
  File "c:\users\alperen.bekci\appdata\local\programs\python\python38\lib\distutils\cmd.py", line 313, in run_command
    self.distribution.run_command(command)
  File "c:\users\alperen.bekci\appdata\local\programs\python\python38\lib\distutils\dist.py", line 985, in run_command
    cmd_obj.run()
  File "c:\users\alperen.bekci\appdata\local\programs\python\python38\lib\site-packages\setuptools\command\build_ext.py", line 84, in run
    _build_ext.run(self)
  File "c:\users\alperen.bekci\appdata\local\programs\python\python38\lib\distutils\command\build_ext.py", line 340, in run
    self.build_extensions()
  File "c:\users\alperen.bekci\appdata\local\programs\python\python38\lib\distutils\command\build_ext.py", line 449, in build_extensions
    self._build_extensions_serial()
  File "c:\users\alperen.bekci\appdata\local\programs\python\python38\lib\distutils\command\build_ext.py", line 474, in _build_extensions_serial
    self.build_extension(ext)
  File "c:\users\alperen.bekci\appdata\local\programs\python\python38\lib\site-packages\setuptools\command\build_ext.py", line 205, in build_extension
    _build_ext.build_extension(self, ext)
  File "c:\users\alperen.bekci\appdata\local\programs\python\python38\lib\distutils\command\build_ext.py", line 528,
Dorin
@dorinoltean
@nereplabey_twitter try updating your setuptools package pip3 install -U setuptools
Robert Dezmerean
@robert-dezmerean_gitlab
You can also try to upgrade pip: $ pip3 install -U pip
Robert Dezmerean
@robert-dezmerean_gitlab
@nereplabey_twitter Did upgrading pip or setuptools solve the problem?
2 replies
athar1001
@athar1001
Hello
I am trying to run tests but altwalker gives error no module find.when i run the test file in pycharm it works perfectly.the file i am importing in test script is in the same folder.
26 replies
robertbergqvist
@robertbergqvist
Hi, how do I start an online test run with many models, lets say 20. It seems inpractical to execute a command with generator and stop condition for each one. Is there another way? Thanks.
2 replies
Alp eren
@nereplabey_twitter
hi all, do you have any example code selenium,pytest and altwalker eachother for will have an idea about project architecture
6 replies
athar1001
@athar1001
hello i am having problem with ini file parsing with altwalker.can anyone help with this?
10 replies
Alp eren
@nereplabey_twitter
i m giving an error when start the graphwalker-cli.jar
Missing a command. Add '--help'
Have you ever encountered this error before?
7 replies
Alp eren
@nereplabey_twitter
hi all

`ERROR: Command errored out with exit status 1:
command: 'c:\users\elif.top\appdata\local\programs\python\python38\python.exe' -c 'import sys, setuptools, tokenize; sys.argv[0] = '"'"'C:\Users\elif.top\AppData\Local\Temp\pip-req-build-xdvgbkn8\setup.py'"'"'; file='"'"'C:\Users\elif.top\AppData\Local\Temp\pip-req-build-xdvgbkn8\setup.py'"'"';f=getattr(tokenize, '"'"'open'"'"', open)(file);code=f.read().replace('"'"'\r\n'"'"', '"'"'\n'"'"');f.close();exec(compile(code, file, '"'"'exec'"'"'))' egg_info --egg-base 'C:\Users\elif.top\AppData\Local\Temp\pip-req-build-xdvgbkn8\pip-egg-info'
cwd: C:\Users\elif.top\AppData\Local\Temp\pip-req-build-xdvgbkn8\
Complete output (26 lines):
Traceback (most recent call last):
File "c:\users\elif.top\appdata\local\programs\python\python38\lib\site-packages\pkg_resources__init.py", line 2857, in get_entry_map
ep_map = self._ep_map
File "c:\users\elif.top\appdata\local\programs\python\python38\lib\site-packages\pkg_resources\
init.py", line 2815, in getattr__
raise AttributeError(attr)
AttributeError: _ep_map

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "C:\Users\elif.top\AppData\Local\Temp\pip-req-build-xdvgbkn8\setup.py", line 23, in <module>
    setup(
  File "c:\users\elif.top\appdata\local\programs\python\python38\lib\site-packages\setuptools\__init__.py", line 144, in setup
    _install_setup_requires(attrs)
  File "c:\users\elif.top\appdata\local\programs\python\python38\lib\site-packages\setuptools\__init__.py", line 132, in _install_setup_requires
    dist = distutils.core.Distribution(dict(
  File "c:\users\elif.top\appdata\local\programs\python\python38\lib\site-packages\setuptools\dist.py", line 443, in __init__
    for ep in pkg_resources.iter_entry_points('distutils.setup_keywords'):
  File "c:\users\elif.top\appdata\local\programs\python\python38\lib\site-packages\pkg_resources\__init__.py", line 656, in <genexpr>
    for entry in dist.get_entry_map(group).values()
  File "c:\users\elif.top\appdata\local\programs\python\python38\lib\site-packages\pkg_resources\__init__.py", line 2859, in get_entry_map
    ep_map = self._ep_map = EntryPoint.parse_map(
  File "c:\users\elif.top\appdata\local\programs\python\python38\lib\site-packages\pkg_resources\__init__.py", line 2531, in parse_map
    raise ValueError("Entry points must be listed in groups")
ValueError: Entry points must be listed in groups
----------------------------------------

ERROR: Command errored out with exit status 1: python setup.py egg_info Check the logs for full command output.`

12 replies
when my friend try to install getting an error
Alp eren
@nereplabey_twitter
can I created allure report with altwalker ?
2 replies
my last question :)
1 reply
Robert Dezmerean
@robert-dezmerean_gitlab

New release of the Model-Editor.

What's new:

  • New design
  • Import feature: Now you can load models from a json file.

https://altom.gitlab.io/altwalker/model-editor

screenshot.png
Retonya Dunning
@rdunning5_gitlab
When running Altwalker offline, are you able to receive a report of the edge, vertex, and requirement coverage for the path generated?
4 replies
Long Luc
@culgnol
Hi All, I was wonder would anyone have any best practices with when using AltWalker? Specifically after I've generated my code template and went about implementing my code, if I need to make a change to the graph, do i generate separate code template and do a manual diff between the two and pull in the differences?
4 replies
Long Luc
@culgnol
Hey All, one more question any docs/tuts on how to launch the live-viewer/visualizer while tests are running in C#? Tried this to no avail: https://github.com/GraphWalker/graphwalker-project/wiki/GraphWalker-Player
3 replies
Reich Edvin
@ReichEdvin_gitlab
Hi all,
We've just released a VSCode extension for visualizing your AltWalker or GraphWalker models.
Key features:
iuliamoldovan21
@iuliamoldovan21
Hello, as GraphWalker allows to create and use custom generators, do you know if AltWalker allows to use such a custom generator? I need to go through the graph in first depth and random and a_star generators are not helppful in this way.
3 replies
wujunyi2020
@wujunyi2020
I go an error when using altwalker offline command.
how can I avoid it?

(base) [root@localhost ~]# altwalker offline -m login.json "random(vertex_coverage(100))"
GraphWalker Error:

An error occurred when running command: offline --model login.json random(vertex_coverage(100)) --verbose --blocked False
null

login.json file downloaded from the document website
looks like that:
{
"name": "Simple login example",
"models": [
{
"name": "LoginModel",
"generator": "random(never)",
"startElementId": "v_0",
"actions": [
"isUserLoggedIn = false;"
],
"vertices": [
{
"id": "v_0",
"name": "v_start"
},
{
"id": "v_1",
"name": "v_app"
},
{
"id": "v_2",
"name": "v_logged_in"
},
{
"id": "v_3",
"name": "v_logged_out"
}
],
"edges": [
{
"id": "e_0",
"name": "e_open_app",
"sourceVertexId": "v_0",
"targetVertexId": "v_1"
},
{
"id": "e_1",
"name": "e_log_in",
"guard": "isUserLoggedIn == false",
"actions": [
"isUserLoggedIn = true;"
],
"sourceVertexId": "v_1",
"targetVertexId": "v_1"
},
{
"id": "e_2",
"name": "e_log_out",
"guard": "isUserLoggedIn == true",
"actions": [
"isUserLoggedIn = false;"
],
"sourceVertexId": "v_1",
"targetVertexId": "v_1"
},
{
"id": "e_3",
"name": "e_for_user_logged_in",
"guard": "isUserLoggedIn == true",
"sourceVertexId": "v_1",
"targetVertexId": "v_2"
},
{
"id": "e_4",
"name": "e_for_user_not_logged_in",
"guard": "isUserLoggedIn == false",
"sourceVertexId": "v_1",
"targetVertexId": "v_3"
}
]
}
]
}
Dorin
@dorinoltean
do you have a file named graphwalker-service.log in your working directory ?
wujunyi2020
@wujunyi2020
@dorinoltean where can I find the log?
Dorin
@dorinoltean
in your working directory , the path where you ran the command from
wujunyi2020
@wujunyi2020
@dorinoltean (base) [root@localhost ~]# cd graphwalker/
(base) [root@localhost graphwalker]# ls
graphwalker-cli-4.2.0.jar graphwalker-cli.sh
10 replies
it seems there's no log
Robert Dezmerean
@robert-dezmerean_gitlab
Screenshot_2020-07-06 Model-Editor - A web based editor for AltWalker and GraphWalker models (1).png
@wujunyi2020 vertex_coverage(100) is not achievable with this model.

When you reach a leaf node you reach a dead end and the path can't achieve vertex_coverage(100).

You can try to run altwalker check -m login.json "random(vertex_coverage(100))" to check if the generator and stop condition are valid for the model.

wujunyi2020
@wujunyi2020
@robert-dezmerean_gitlab (base) [root@localhost ~]# altwalker check -m login.json "random(vertex_coverage(100))"
No issues found with the model(s).
it seems no issues
Robert Dezmerean
@robert-dezmerean_gitlab
This is a bug in the check command, I'm gonna make an issue for it.
wujunyi2020
@wujunyi2020
@robert-dezmerean_gitlab it seems that with the same result along with gw offline
(base) [root@localhost ~]# gw check -m login.json "random(vertex_coverage(100))"
No issues found with the model(s).
@robert-dezmerean_gitlab Do you mean that the worflow should be in circle instead of dead leaf?
Robert Dezmerean
@robert-dezmerean_gitlab

Your models can have dead ends but you should be aware of this when choosing a generator and stop conditions.

But if you want to use random(vertex_coverage(100)) or random(never) you should not have dead ends in you models.

19 replies
Rares Fetean
@rares.fetean_gitlab
Hi guys! I wanted to share an article, presenting an approach of testing the authentication flow of an application with the State Transition Testing technique.
We use AltWalker, GraphWalker and Python to write and execute tests automatically. All the tools used are free and open source.
It can help you to get started with:
• Modeling a web authentication flow
• Writing and executing Python tests with AltWalker
• Running tests in CI
If you think it might help you, check this article: https://altom.com/state-transition-testing-automated-tests-for-authentication-flows/
pusoktimea
@pusoktimea_gitlab
Hey all, BBST Courses organizes an online interactive workshop on model based testing. I thought it might be of interest to some of you: https://bbst.courses/state-model-based-testing-workshop/